package hu.sequencetest;

import javax.ejb.*;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

/**
 * This is the bean class for the UserManagerBean enterprise bean.
 * Created 2006.03.10. 10:03:31
 * @author joeb
 */
@Stateless()
public class UserManagerBean implements hu.sequencetest.UserManagerRemote {
    @PersistenceContext() private EntityManager em;
    
    public Long createUser(String userName) {
        User user = new User();
        user.setName(userName);
        
        em.persist(user);
        
        return user.getId();
    }
}
